import 'package:cramr_ui_lib/model/study_mode.dart';
import 'package:cramr_ui_lib/model/study_mode_state.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Test basic initialisation - all modes', () {
    test('Constructor versus getter - coverMode', () {
      var currentStudyMode = StudyModeState(StudyMode.coverMode);
      expect(currentStudyMode.currentStudyMode, StudyMode.coverMode);
    });
    test('Constructor versus getter - writtenMode', () {
      var currentStudyMode = StudyModeState(StudyMode.writtenMode);
      expect(currentStudyMode.currentStudyMode, StudyMode.writtenMode);
    });
    test('Constructor versus getter - flashCardMode', () {
      var currentStudyMode = StudyModeState(StudyMode.flashCardMode);
      expect(currentStudyMode.currentStudyMode, StudyMode.flashCardMode);
    });
    test('amount of values', () {
      expect(3, StudyMode.values.length);
    });
  });
}
