import 'package:cramr_ui_lib/settings/client_context.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Constructor with enum tests', () {
    test('Constructor with primaire enum test', () {
      final ClientContext primaireClientContext =
          ClientContext(ClientApp.verbomatiquePrimaire);
      expect(primaireClientContext.clientApp, ClientApp.verbomatiquePrimaire);
    });
    test('Constructor with secondaire enum test', () {
      final ClientContext secondaireClientContext =
          ClientContext(ClientApp.verbomatiqueSecondaire);
      expect(
          secondaireClientContext.clientApp, ClientApp.verbomatiqueSecondaire);
    });
  });

  group('ClientApp enum tests', () {
    test('generic values test', () {
      expect(ClientApp.values.length, 2);
    });
  });
}
