import 'package:cramr_ui_lib/model/conjugation.dart';
import 'package:cramr_ui_lib/model/verb.dart';

class FrenchVerb extends Verb {
  FrenchVerb(String infinitive, String translation,
      Conjugation simplePresentIndicative)
      : super(infinitive, translation, simplePresentIndicative, 'fr');

  FrenchVerb.fromMoreTensesAndModes(
      infinitive, translation, simplePresentIndicative, simplePastIndicative)
      : super.fromMoreTensesAndModes(infinitive, translation,
            simplePresentIndicative, simplePastIndicative, 'fr');

  FrenchVerb.fromAllTensesAndModes(
      String infinitive, String translation, List<Conjugation> conjugations)
      : super.fromAllTensesAndModes(
            infinitive, translation, conjugations, 'fr');
}
